<?php

class modelScmobileapp extends cmsModel {
    
    /*{comgen-model-methods}*/

    public function Qr(){
        $scqrcode = cmsCore::getController('scqrcode');
        scqrcode::qrcode('https://github.com/t0k4rt/phpqrcode',dirname(__FILE__).DIRECTORY_SEPARATOR.'file.png');
        $template = cmsTemplate::getInstance();
        $template->renderJSON(array(1,2,3));

    }

    public function getApiKey(){

        return $this->resetFilters()
            ->filterEqual('is_pub',1)
            ->getItem('api_keys');
    }

    public function getWidgets($page = 'user'){

        $core = cmsCore::getInstance();

        $core->uri = $page;
        $matched_pages = $core->loadMatchedPages()->getMatchedPages();
        $template = cmsTemplate::getInstance();
        $template->setName('scmobileapp');
        $template->setInheritNames(array('scmobileapp'));
        $widgets_list = cmsCore::getModel('widgets')->getWidgetsForPages(array_keys($matched_pages), cmsTemplate::getInstance()->getName());

        foreach ($widgets_list as $widget) {
            $core->runWidget($widget);
        }

        $arr = array();
        ob_start();
        $template->widgets('top');
        $arr['top'] = string_compress(ob_get_clean());

        ob_start();
        $template->widgets('bottom');
        $arr['bottom'] = string_compress(ob_get_clean());

        return $arr;

    }

    public function getEntries(){

        $this->select('u.nickname', 'user_nickname');
        $this->select('u.avatar', 'user_avatar');
        $this->join('{users}', 'u', 'u.id = i.user_id');

        $this->select('t.description', 'description');
        $this->join('activity_types', 't', 't.id = i.type_id');

        if (!$this->order_by){
            $this->orderBy('date_pub', 'desc');
        }

        $this->useCache('activity.entries');

        $config = cmsConfig::getInstance();

        return $this->get('activity', function($item, $model) use ($config) {

            $item['user'] = array(
                'id'       => $item['user_id'],
                'nickname' => $item['user_nickname'],
                'avatar'   => $item['user_avatar']
            );

            if (!empty($item['subject_url'])){
                $item['subject_url'] = rel_to_href($item['subject_url']);
                $max_title_len = 50;
                $item['subject_title'] = mb_strlen($item['subject_title'])>$max_title_len ? mb_substr($item['subject_title'], 0, $max_title_len).'...' : $item['subject_title'];
                $link = '<a href="'.$item['subject_url'].'">'. $item['subject_title'].'</a>';
            } else {
                $link = $item['subject_title'];
            }
            $link = $item['subject_title'];

            if (!empty($item['reply_url'])){
                $item['reply_url'] = rel_to_href($item['reply_url']);
            }

            $item['images'] = cmsModel::yamlToArray($item['images']);

            if ($item['images']){

                $images_exist = array();

                foreach($item['images'] as $key => $image){
                    if (strpos($image['src'], 'http') !== 0) {
                        if (!file_exists($config->upload_path . '/' . $image['src'])){
                            continue;
                        }
                        $image['src'] = $config->upload_host . '/' . $image['src'];
                    }
                    $image['src'] = href_to_abs($image['src']);
                    $image['url'] = href_to_abs(rel_to_href($image['url']));
                    $images_exist[] = $image;
                }

                if(!$images_exist){
                    $model->deleteEntryById($item['id']);
                }

                $item['images'] = $images_exist;

            }

            $item['description'] = sprintf($item['description'], $link);

            $item['date_diff'] = string_date_age_max($item['date_pub'], true);

            return $item;

        });

    }

    public function getRoute($subject_url,$subject_id, $reply_url){

        $subject_url = href_to_abs($subject_url);
        $content = cmsCore::getModel('content');
        $ctypes = $content->getContentTypes();
        foreach($ctypes as $key => $item){
            $url = href_to_abs($item['name']);
//            echo $url.' ===== '.$subject_url.'<br />';
            if (strpos($subject_url,$url)!==FALSE){
                return array(
                    'controller'=>'content',
                    'action'=>$item['name'],
                );
            }
        }
        $url = href_to_abs('users');
        if (strpos(href_to_abs($reply_url),$url)!==FALSE){
            return array(
                'controller'=>'users',
                'action'=>'',
            );
        }

        return array(
            'controller'=>'',
            'action'=>'',
        );
    }

    public function getComments($target_controller, $target_subject, $target_id,$page=1, $perpage=15){

        $model = cmsCore::getModel('comments');
        $model->filterCommentTarget(
            $target_controller,
            $target_subject,
            $target_id
        );
        $model->orderBy('date_pub', 'desc');

        // Постраничный вывод
        $model->limitPage($page, $perpage);

        // Скрываем удаленные
        $model->filterIsNull('is_deleted');

        cmsEventsManager::hook('comments_list_filter', $model);

        // Получаем количество и список записей
        $total = $model->getCommentsCount();
        $items = $model->getComments();

        return array('total'=>$total, 'items'=>$items);
    }

}
